Transfer-in a domain
POST
https://api.vercel.com/v1/registrar/domains/{domain}/transferTransfer a domain in from another registrar
https://api.vercel.com/v1/registrar/domains/{domain}/transfer
const response = await fetch('https://api.vercel.com/v1/registrar/domains/domain/transfer?teamId=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "authCode": "string", "autoRenew": "true", "years": "123", "expectedPrice": "123", "contactInformation": { "firstName": "Example Name", "lastName": "Example Name", "email": "user@example.com", "phone": "string", "address1": "string", "address2": "string", "city": "string", "state": "string", "zip": "string", "country": "string", "companyName": "Example Name", "fax": "string" } }),});
const data = await response.json();console.log(data);Response
{ "orderId": "example_id", "_links": "value"}Errors
{ "status": "400", "code": "bad_request", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
application/json
The auth code for the domain. You must obtain this code from the losing registrar.
Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the Update auto-renew for a domain endpoint.
The number of years to renew the domain for once it is transferred in. This must be a valid number of transfer years for the TLD.
400There was something wrong with the request
429TooManyRequests